- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
libetonyek::KEYXMLReader::NodeIterator Class Reference

## Public Member Functions
| NodeIterator (const KEYXMLReader &reader, int types)
bool | next ()
Impl * | getImpl () const

## Private Member Functions
bool | test () const

## Private Attributes
Impl *const | m_impl
const int | m_types
int | m_level
bool | m_last

## Friends
class | KEYXMLReader

## Constructor & Destructor Documentation

libetonyek::KEYXMLReader::NodeIterator::NodeIterator | ( | const KEYXMLReader & | reader,
|  | int | types
| ) |  |

## Member Function Documentation

KEYXMLReader::Impl * libetonyek::KEYXMLReader::NodeIterator::getImpl | ( |  | ) | const

bool libetonyek::KEYXMLReader::NodeIterator::next | ( |  | ) |

bool libetonyek::KEYXMLReader::NodeIterator::test | ( |  | ) | const
| private

## Friends And Related Function Documentation

friend class KEYXMLReader
| friend

## Member Data Documentation

Impl* const libetonyek::KEYXMLReader::NodeIterator::m_impl
| private

Referenced by NodeIterator().

bool libetonyek::KEYXMLReader::NodeIterator::m_last
| private

Referenced by NodeIterator().

int libetonyek::KEYXMLReader::NodeIterator::m_level
| private

Referenced by NodeIterator().

const int libetonyek::KEYXMLReader::NodeIterator::m_types
| private

The documentation for this class was generated from the following files:

- KEYXMLReader.h
- KEYXMLReader.cpp